<div class="surface-ground h-screen w-screen flex align-items-center justify-content-center"
style="background-image: url('./assets/images/bgg.jpg'); background-size: cover; ">
    <div
        class="surface-card py-6 px-5 sm:px-7 shadow-2 flex flex-column w-11 sm:w-30rem"
        style="border-radius: 14px"
    >
        <h1 class="font-bold text-2xl mt-0 mb-2">ลงทะเบียนผู้ใช้</h1>
        <p class="text-color-secondary mb-4">
            Dental Clinic Ubon Queue and Booking System
        </p>

        <p-messages
        [(value)]="messages"
        [enableService]="false"
        [closable]="false"
        ></p-messages>

        <form
            method="POST"
            name="form"
            [formGroup]="validateForm"
            (ngSubmit)="onSubmit()"
        >
        <div class="flex flex-column w-full">
            <span class="p-input-icon-left mb-4">
                <i class="pi pi-user"></i>
                <input
                    type="text"
                    formControlName="fullname"
                    pInputText
                    placeholder="ชื่อ-สกุล"
                    class="w-full"
                />
            </span>
            <span class="p-input-icon-left mb-4">
                <i class="pi pi-id-card"></i>
                <p-inputMask
                    type="text"
                    mask="9-9999-99999-99-9"
                    formControlName="cid"
                    pInputText
                    placeholder="เลขบัตรประชาชน"
                    [style]="{ width: '84%' ,border: 'none'}"
                />
            </span>

            <span class="p-input-icon-left mb-4">
                <i class="pi pi-phone"></i>
                <p-inputMask
                    type="text"
                    mask="999-9999999"
                    formControlName="username"
                    pInputText
                    placeholder="เบอร์โทรศัพท์"
                    [style]="{ width: '84%' ,border: 'none'}"
                />
            </span>

            <span class="p-input-icon-left mb-4">
                <i class="pi pi-key z-2"></i>
                <p-password
                    id="password"
                    formControlName="password"
                    placeholder="รหัสผ่านผู้ใช้งาน"
                    styleClass="w-full"
                    [inputStyle]="{ paddingLeft: '2.5rem' }"
                    inputStyleClass="w-full"
                    [toggleMask]="true"
                    [feedback]="false"
                ></p-password>
            </span>
            <span class="p-input-icon-left mb-4">
                <i class="pi pi-key z-2"></i>
                <p-password
                    id="passwordConfirm"
                    formControlName="passwordConfirm"
                    placeholder="ยืนยันรหัสผ่านผู้ใช้งาน"
                    styleClass="w-full"
                    [inputStyle]="{ paddingLeft: '2.5rem' }"
                    inputStyleClass="w-full"
                    [toggleMask]="true"
                    [feedback]="false"
                ></p-password>
            </span>
            <br>
            <button
                pButton
                pRipple
                label="บันทึกลงทะเบียน"
                class="mb-4"
            ></button>
            </div>
        </form>

        <button
            [routerLink]="['/auth/login']"
            pbutton
            pripple
            type="button"
            label="ลงทะเบียนผู้ใช้งาน"
            class="p-element p-ripple p-button-outlined p-button-help p-button p-component"
        >
            <span class="p-button-label">ไปหน้าล๊อกอิน</span>
            <span class="p-ink" aria-hidden="true" role="presentation"> </span>
        </button>
        <br />

    </div>
</div>
<p-dialog
[(visible)]="display"
[breakpoints]="{ '960px': '75vw', '640px': '100vw' }"
[style]="{ width: '50vw' }"
>
<ng-template pTemplate="content">
    <h5 style="text-align: center;">ข้อตกลงในการใช้งาน(Term of Use)</h5>
    <p-scrollPanel [style]="{width: '90%', height: '200px'}">
            <ul>
                <li>
                    <b>การบังคับใช้และการยอมรับข้อตกลง</b><br>
                    <span style="font-size: 0.75rem">ข้อตกลงเกี่ยวกับการใช้งานนี้ รวมถึงนโยบายใดๆ ที่อ้างอิงในข้อตกลงนี้ ซึ่งจะใช้บังคับกับท่าน เมื่อท่านเข้าถึงเว็บไซต์ http://booking.phoubon.in.th การใช้งานผ่านสื่อหรือช่องทางอื่นๆ แอพพลิเคชั่นบนมือถือ หรือการเข้าเว็บไซต์บนมือถือ (ซึ่งรวมกันเรียกว่า “บริการดิจิตัล”) ที่ศูนย์เทคโนโลยีสารสนเทศและการสื่อสาร สำนักงานปลัดกระทรวงสาธารณสุข และรวมถึงกลุ่มงานในสังกัด (ซึ่งรวมกันเรียกว่า หน่วยงาน หรือ “เรา”) เป็นเจ้าของหรือ เป็นผู้ดำเนินการ เมื่อท่านเข้าใช้บริการนี้ ท่านต้องตกลงที่จะยอมรับและผูกพันข้อตกลงเกี่ยวกับการใช้งาน และนโยบายต่างๆ ที่อยู่ในข้อตกลงเกี่ยวกับการใข้งานนี้ หากท่านไม่ตกลงกับข้อตกลงเกี่ยวกับการใช้งานหรือนโยบายคุ้มครองข้อมูลส่วนบุคคล หน่วยงานขอให้ท่านยุติการใช้บริการของหน่วยงาน เพื่อให้บรรลุวัตถุประสงค์ของข้อตกลงการใช้งานนี้ คำว่า “เนื้อหา” หมายความรวมถึง ข้อมูล ข้อความ รูปภาพ วิดีโอ ข้อความเสียง บทความ ความเห็น กราฟฟิก การโต้ตอบหรือสื่อสารใดๆ ที่ผ่านช่องทางบริการดิจิตัล หรือที่เกี่ยข้องกับบริการดิจิตัล</span>        
                </li>
                <li>
                    <b>การเปลี่ยนแปลงเกี่ยวกับข้อตกลงการใช้งานนี้</b><br>
                    <span style="font-size: 0.75rem">หน่วยงานขอสงวนสิทธิในการแก้ไขเปลี่ยนแปลงทั้งหมดหรือบางส่วนของข้อตกลงการใช้งานฉบับนี้ (รวมถึงนโยบายคุ้มครองข้อมูลส่วนบุคคล) ไม่ว่าในเวลาใดๆ โดยจะประกาศข้อตกลงการใช้งานฉบับแก้ไขล่าสุดในบริการดิจิตัล ซึ่งท่านควรเข้า https://booking.phoubon.in.th เพื่อตรวจสอบข้อตกลงการใช้งานฉบับปัจจุบัน ซึ่งถ้าหากท่านยังคงใช้บริการดิจิตัลของหน่วยงานอยู่ต่อไป หน่วยงานจะถือว่าท่านยอมรับการแก้ไขเปลี่ยนแปลงนั้น</span>
                </li>
                <li>
                    <b>นโยบายคุ้มครองข้อมูลส่วนบุคคล</b><br>
                    <span style="font-size: 0.75rem">ในการเข้าถึงหรือใช้บริการดิจิทัล หน่วยงานอาจจะเก็บข้อมูลของจากท่านหรือเกี่ยวกับท่าน ซึ่งหน่วยงานจะใช้ข้อมูลของท่านให้สอดคล้องกับนโยบายคุ้มครองข้อมูลส่วนบุคคล โปรดสละเวลาสักครู่เพื่ออ่านนโยบายความเป็นส่วนตัวของเราที่ https://booking.phoubon.in.th นโยบายคุ้มครองข้อมูลส่วนบุคคลนี้ถือเป็นส่วนหนึ่งของข้อตกลงการใช้งานนี้</span>
                </li>
                <li>
                    <b>สิทธิทางทรัพย์สินทางปัญญาและทรัพย์สินอื่น ๆ</b><br>
                    <span style="font-size: 0.75rem">ท่านรับทราบและตกลงว่า บริการดิจิตัลและเนื้อหาใดๆ ที่สร้างโดยหน่วยงานและได้เผยแพร่ผ่านบริการดิจิตัลนี้ ได้รับการคุ้มครองตามกฎหมายว่าด้วยลิขสิทธิ์ เครื่องหมายการค้า เครื่องหมายบริการ สิทธิบัตร ความลับทางการค้า และสิทธิอื่นใดตามกฎหมาย และหน่วยงาน (และผู้อนุญาตให้ใช้สิทธิ) ยังคงเป็นเจ้าของสิทธิ์ กรรมสิทธิ์ และประโยชน์ทั้งหมดในบริการดิจิตัล (รวมถึงทรัพย์สินทางปัญญาและสิทธิในทรัพย์สินทางปัญญา) ท่านต้องไม่ ขาย อนุญาต ให้เช่า แก้ไข จำหน่าย คัดลอก ทำซ้ำ โอน เปิดเผยต่อสารธารณะ เผยแพร่ ปรับปรุง แก้ไข หรือ ดัดแปลง บริการดิจิตัล เนื้อหาใดๆ บนบริการดิจิตัลนี้</span>
                </li>
                <li>
                    <b>การปฏิเสธความรับผิด</b><br>
                    <span style="font-size: 0.75rem">บริการดิจิตัลถูกจัดให้ตามสภาพของเทคโนโลยีและข้อมูลที่มีและเป็นอยู่ในปัจจุบัน และหน่วยงาน (และผู้ให้บริการของเรา) ขอปฏิเสธความรับผิดใดๆ ที่เกิดจากคำรับรองหรือเงื่อนไขใดๆ ไม่ว่าจะแสดงออกโดยชัดแจ้งหรือปริยาย รวมถึงการรับประกันหรือเงื่อนไขของความเหมาะสม ความน่าเชื่อถือ ความถูกต้อง หรือ การไม่ละเมิดของบริการดิจิตัล และเราไม่รับประกันว่าบริการดิจิตัลของเรา (ก) จะตอบสนองตรงตามความต้องการของคุณ (ข) จะพร้อมใช้งานโดยไม่มีการรบกวน หรือปลอดภัยหรือปราศจากข้อผิดพลาด (ค) จะถูกต้อง ปราศจากไวรัส หรือ อันตรายอื่นใดๆ เนื่องจากธธรรมชาติของอินเตอร์เน็ตหน่วยงานไม่สามารถรับรองได้ว่าข้อมูลที่ส่งระหว่างกันผ่านอินเตอร์เน็ต หรือขณะที่จัดเก็บในระบบเก็บข้อมูลของหน่วยงานหรือในระบบอื่นใดที่อยู่ในความดูแลของหน่วยงานจะปลอดภัยจากการแทรกแซงโดยผู้อื่น ท่านตกลงว่าหน่วยงานไม่ต้องรับผิด ในกรณีมีข้อผิดพลาด การแทรกแซง การทำลาย ชำรุดบกพร่อง หรือ ความล่าช้าในการดำเนินการหรือส่งข้อมูล หรือความผิดพลาดในฮาร์ดแวร์หรือระบบเครือข่าย การโจรกรรมหรือการทำลาย หรือการเข้าถึงโดยไม่ได้รับอนุญาตหรือการเปลี่ยนแปลงในเนื้อหาใดๆ ทั้งนี้ ท่านเข้าใจและตกลงว่าหากท่านดาวน์โหลดข้อมูลหรือเอกสารใดๆ ท่านจะยอมรับความเสี่ยงนั้นแต่เพียงผู้เดียว หน่วยงาน ข้อมูล บริการดิจิตัล หรือเนื้อหาอื่นใดบนบริการดิจิตัล หรือ แพลตฟอร์มออนไลน์อื่นๆ ที่เชื่อมต่อกับบริการดิจิตัลในเรื่องของอความแท้จริง ถูกต้อง ความน่าเชื่อถือ หรืออื่นๆ</span>
                </li>
                <li>
                    <b>การชดใช้ค่าเสียหาย</b><br>
                    <span style="font-size: 0.75rem">ข้อตกลงที่จะชดใช้ค่าเสียหายให้กับหน่วยงาน รวมถึงค่าใช้จ่ายและค่าทนายความตามสมควร ที่เกิดจ้างการเรียกร้องใดๆ จากบุคคลที่สาม เนื่องจากหรือที่เกิดจาก (ก) การใช้บริการดิจิตัลหรือเนื้อหา (ข) เนื้อหาของท่าน (ค) เกิดจากการละเมิดข้อตกลงการใช้นี้ (ง) การละเมิดทางกฎหมายหรือระเบียบบังคับใดๆ หน่วยงานขอสงวนสิทธิในป้องกันและควบคุมเรื่องใดๆ ในกรณีที่ท่านต้องรับผิดชดใช้ค่าเสียหายต่อหน่วยงาน และท่านตกลงร่วมมือกับเราเพื่อป้องกันข้อเรียกร้องนั้นโดยท่านเป็นผู้ออกค่าใช้จ่าย ในกรณีเช่นว่านี้คุณตกลงที่จะไม่ยุติคดีโดยปราศจากความยินยอมเป็นลายลักษณ์อักษรจากหน่วยงานก่อน หน่วยงานจะใช้ความพยายามตามสมควรเพื่อที่จะแจ้งท่านเมื่อมีข้อเรียกร้อง การกระทำ หรือกระบวนการใดๆ เมื่อหน่วยงานได้ทราบถึงเหตุนั้น</span>
                </li>
                <li>
                    <b>กฎหมายที่ใช้บังคับ</b><br>
                    <span style="font-size: 0.75rem">ข้อตกลงการใช้งานนี้บังคับและตีความภายใต้บังคับตามกฎหมายแห่งราชอาณาจักรไทยเท่านั้น ข้อพิพาท ข้อเรียกร้องหรือการกระทำใด ๆ ที่เกิดขึ้นจากหรือเกี่ยวข้องกับข้อกำหนดการใช้งานหรือการใช้บริการดิจิทัลหรือเนื้อหาใดๆ จะอยู่ภายใต้ศาลที่มีอำนาจในประเทศไทยเท่านั้น</span>
                </li>
                <li>
                    <b>ความถูกต้องของข้อมูลของคุณ</b><br>
                    <span style="font-size: 0.75rem">ข้อมูลใดๆ ที่ท่านให้แก่หน่วยงานผ่านช่องทางบริการดิจิตัล รวมถึงในส่วนของข้อมูลบัญชีผู้ใช้ ข้อมูลการเล่นกิจกรรมในบริการดิจิตัลจะต้องจริงแท้ ถูกต้องและเป็นปัจจุบัน และท่านจะรับผิดชอบในการดูแลรักษาความถูกต้องของข้อมูลนั้น หากเรามีเหตุควรเชื่อว่าข้อมูลของคุณไม่เป็นความจริง ไม่ถูกต้อง หรือไม่เป็นปัจจุบัน หน่วยงานมีสิทธิที่จะยุติระงับหรือปฏิเสธไม่ให้คุณเข้าถึงบริการดิจิทัล</span>
                </li>
                <li>
                    <b>การให้บริการของบุคคลที่สาม</b><br>
                    <span style="font-size: 0.75rem">บริการดิจิตัลอาจระบุช่องทางที่เชื่อมต่อเว็บไซต์ แอพพลิเคชั่น หรือบริการอื่นใดของบุคคลที่สาม (เช่น แพลตฟอร์มโซเชียลมีเดีย) และโฆษณาของบุคคลที่สาม (รวมกันเรียกว่า “การให้บริการของบุคคลที่สาม”) และการให้บริการของบุคคลที่สามนี้ ไม่อยู่ภายใต้การควบคุมของหน่วยงานและหน่วยงานจะไม่รับผิดชอบใดๆ กับการให้บริการของบุคคลที่สาม ทั้งนี้ หน่วยงานขอแจ้งว่าหน่วยงานไม่ได้ตรวจสอบ อนุมัติ หรือ รับรองใดๆ ที่เกี่ยวข้องกับการให้บริการของบุคคลที่ 3</span>
                </li>
                <li>
                    <b>ติดต่อเรา</b><br>
                    <span style="font-size: 0.75rem">หากท่านมีข้อสงสัยเกี่ยวกับข้อตกลงการใช้งานนี้ สามารถติดต่อเราได้ที่สำนักงานสาธารณสุขจังหวัดอุบลราชธานี</span>
                </li>
            </ul>      
        <p-scrollTop target="parent" styleClass="custom-scrolltop" [threshold]="100" icon="pi pi-arrow-up"></p-scrollTop>
    </p-scrollPanel>
</ng-template>
<ng-template pTemplate="footer">
    <button
    [routerLink]="['/auth/login']"
    type="button"
    pButton
    icon="pi pi-times"
    class="p-button-raised p-button-secondary"
    (click)="display = false"
    label="ปฏิเสธ"
></button>
    <button
        type="button"
        pButton
        icon="pi pi-check"
        class="p-button-raised p-button-success"
        (click)="display = false"
        label="ยอมรับ"
    ></button>
</ng-template>
</p-dialog>
<app-config [minimal]="true"></app-config>
